# cacheChangingModulesFor

abstract fun cacheChangingModulesFor(value: Int, units: String)

Sets the length of time that changing modules will be cached, with units expressed as a String.

A convenience method for cacheChangingModulesFor with units expressed as a String. Units are resolved by calling the `valueOf(String)` method of java.util.concurrent.TimeUnit with the upper-cased string value.

#### Since

1.0-milestone-6

#### Parameters

value

The number of time units

units

The units

abstract fun cacheChangingModulesFor(value: Int, units: TimeUnit)

Sets the length of time that changing modules will be cached.

Gradle caches the contents and artifacts of changing modules. By default, these cached values are kept for 24 hours, after which the cached entry is expired and the module is resolved again.

Use this method to provide a custom expiry time after which the cached entries for any changing module will be expired.

#### Since

1.0-milestone-6

#### Parameters

value

The number of time units

units

The units